import 'dart:convert';
import 'package:sis_flutter/models/actividad_model.dart';
import 'package:sis_flutter/models/tarea_model.dart';
import 'package:sis_flutter/services/base_service.dart';

class PrioridadesService extends BaseService {
  final endpoint = "/v1/actividad/prioridades";

  Future<List<Actividad>> getActividad(String idUsuario) async {
    var r = await get(endpoint, headers: {
      'Content-Type': 'application/json'
    }, queryParameters: {
      'usuario': idUsuario,
    });

    var body = jsonDecode(r.body);
    var actividadbody = (body['detalle']).cast<Map<String, dynamic>>().toList();

    final List<Actividad> actividadList = [];
    if (r.statusCode == 200) {
      for (var i in actividadbody) {
        Actividad actividadJson = Actividad.fromJson(i);
        actividadList.add(actividadJson);
      }
    }

    return actividadList;
  }
}
